%define module_name	lustre
%define module_version	1.8.0.1
%define module_release	alt1

%define kversion	2.6.27
%define krelease	alt2
%define flavour		hpc-std

%define module_dir /lib/modules/%kversion-%flavour-%krelease

%define _unpackaged_files_terminate_build 1

%define mpiimpl openmpi
%define mpidir %_libexecdir/%mpiimpl

Summary: Modules of Lustre FS
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132635.2

Url: https://ftg.lbl.gov/CheckpointRestart/CheckpointRestart.shtml
License: GPL2
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>


Prereq:         kernel-image-%flavour = %kversion-%krelease
Prereq:   coreutils
Prereq: module-init-tools >= 3.1
Prereq: %name = %version-%release
Requires(postun): %name = %version-%release
Requires(postun): kernel-image-%flavour = %kversion-%krelease

ExclusiveOS: Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: libnet-snmp-devel perl-devel quilt %mpiimpl gcc-c++
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
%ifarch %ix86
BuildRequires: ElectricFence
%endif

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release
BuildRequires: kernel-source-lustre = %module_version
ExclusiveArch: %ix86 x86_64

%description 
Modules of Lustre FS.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
%configure --with-linux=%_usrsrc/linux-%kversion-%flavour-%krelease \
	--disable-server --enable-quota --enable-health-write --enable-lru-resize \
	--enable-adaptive-timeouts --enable-mpitest=%mpidir \
%ifarch %ix86
	--enable-efence \
%endif
	--target=%_arch
%make_build

%install
for d in fs/{ldiskfs,lustre} net/lnet; do
	install -d -m 0755 %buildroot%module_dir/kernel/$d
	find ../kernel-source-lustre-%module_version/$(basename $d) \
		-type f -name '*.ko' \
		-exec install -m 0644 \{} %buildroot%module_dir/kernel/$d/ \;
done

%post 
%post_kernel_modules %kversion-%flavour-%krelease

%postun 
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir/*

%changelog
* Wed Jul 15 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.8.0.1-alt1.132635.2
- Build for kernel-image-hpc-std-2.6.27-alt2.

* Sun Jul 05 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.8.0.1-alt1
- Intial build for Sisyphus

